Skip to main content
DELETE
/
payments
/
settings
/
customers
/
{id}
Delete customer payment settings
curl --request DELETE \
  --url https://eu.sequencehq.com/api/payments/settings/customers/{id} \
  --header 'Authorization: <authorization>'
import requests

url = "https://eu.sequencehq.com/api/payments/settings/customers/{id}"

headers = {"Authorization": "<authorization>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: '<authorization>'}};

fetch('https://eu.sequencehq.com/api/payments/settings/customers/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730",
  "sequenceAccountId": "bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730",
  "customerId": "bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730",
  "paymentProvider": "STRIPE"
}
This response has no body data.
This response has no body data.
This response has no body data.

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

Sequence-Version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

id
string
required

Unique settings ID

Response

OK

id
string
required

Unique payment provider id.

Example:

"bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730"

sequenceAccountId
string
required

Sequence Account ID.

Example:

"bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730"

customerId
string
required

Customer Account ID.

Example:

"bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730"

paymentProvider
enum<string>
required

Sequence Account ID.

Available options:
STRIPE,
GOCARDLESS,
NONE
Example:

"STRIPE"